> This page is optimized for agents. Use the linked Markdown pages and llms.txt indexes for related API content.

# Get assigned dates for accommodation unit.

- Product: Planning
- Section: Planning
- Snapshot: Current
- Method: `GET`
- Path: `/api/planning/assigned_dates`

## Query parameters

### `organization`

Type: `number`  
Required: yes  

### `dateFrom`

Type: `string`  
Format: `date-time`  
Required: yes  

### `dateTo`

Type: `string`  
Format: `date-time`  
Required: yes  

### `accommodation`

Type: `number`  
Required: no  

### `accommodationCategory`

Type: `number`  
Required: no  

### `accommodationUnit`

Type: `number`  
Required: no  

### `accommodationUnitFeatures[]`

Type: `number[]`  
Required: no  

#### number

Type: `number`  

### `localityCategory`

Type: `number`  
Required: no  

### `excludedReservation`

Type: `number`  
Required: no  

## Execute with TypeScript

Package: `@recranet/sdk`  

```ts
import { RecranetApiClient } from "@recranet/sdk";

const client = new RecranetApiClient({ apiKey: process.env.RECRANET_API_KEY! });

const result = await client.planning.assignedDates({
  organization: 0,
  dateFrom: new Date("2026-06-01"),
  dateTo: new Date("2026-06-01"),
});
```

## Execute with curl

```bash
curl "https://app.recranet.com/api/planning/assigned_dates" \
    -H "X-Api-Key: $RECRANET_API_KEY" \
    --url-query "organization=$ORGANIZATION" \
    --url-query "dateFrom=$DATEFROM" \
    --url-query "dateTo=$DATETO"
```

## Responses

### Response `200`

Category: success  

Successful response

#### `application/json`

##### Generated example

```json
[
  {
    "date": "2024-09-01T00:00:00Z",
    "assigned": "day"
  }
]
```

##### Schema

###### object[]

Type: `object[]`  

###### object

Type: `object`  

###### `date`

Type: `string`  
Required: no  

###### `assigned`

Type: `string`  
Required: no  
Allowed values: `day`, `am`, `pm`  

### Response `400`

Category: client-error  

Bad request

#### `application/json`

##### Example

```json
{
  "statusCode": 400,
  "description": "Bad request",
  "errors": [
    "Bad request"
  ]
}
```

##### Schema

###### object

Type: `object`  

## Related representations

- [Human documentation](/planning/methods/assigned-dates/)
- [TypeScript Markdown](/planning/methods/assigned-dates.md?lang=typescript)
- [curl Markdown](/planning/methods/assigned-dates.md?lang=curl)
- [site llms.txt](/llms.txt)
- [product llms.txt](/planning/llms.txt)
- [snapshot llms.txt](/planning/llms.txt)
